# Package
version       = "2.0.1"
author        = "Jonathan Bernard (jdb@jdb-labs.com)"
description   = "Utility to generate diffs of full directory trees."
license       = "BSD"
bin           = @["treediff"]
srcDir        = "src/main/nim"

# Dependencies
requires: @["nim >= 2.0.0", "docopt == 0.7.1", "checksums"]

# Dependencies from git.jdb-software.com/jdb/nim-packages
requires: @["console_progress >= 1.2.2", "update_nim_package_version"]

task updateVersion, "Update the version of this package.":
  exec "update_nim_package_version treediff 'src/main/nim/cliconstants.nim'"
